For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
GuidesAPI reference
GuidesAPI reference
  • API Overview
      • GETList Models
      • GETGet Model By Id
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
API OverviewModels

Get Model By Id

GET
https://api-gateway.merge.dev/v1/models/:model_id
GET
/v1/models/:model_id
$curl https://api-gateway.merge.dev/v1/models/model_id
1{
2 "id": "string",
3 "provider": "string",
4 "display_name": "string",
5 "capabilities": {
6 "input": [
7 "text"
8 ],
9 "output": [
10 "text"
11 ],
12 "tools": true,
13 "vision": true,
14 "json_schema": true,
15 "streaming": true
16 },
17 "context_window": 1,
18 "max_output_tokens": 1,
19 "pricing": {
20 "input_per_million": 1.1,
21 "output_per_million": 1.1,
22 "currency": "USD"
23 },
24 "object": "model",
25 "status": "available",
26 "sunset_date": "string",
27 "replacement_model": "string",
28 "is_featured": false,
29 "created_at": "2024-01-15T09:30:00Z",
30 "updated_at": "2024-01-15T09:30:00Z"
31}

Get a specific model by ID.

Model IDs are in the format ‘provider/model-name’, e.g. ‘openai/gpt-4o’.

Was this page helpful?
Previous

List Models

Next

Create Response

Built with

Path parameters

model_idstringRequired

Response

Successful Response
idstring

Model ID in format ‘provider/model-name’

providerstring
display_namestring
capabilitiesobject
Capabilities of an LLM model.
context_windowinteger
max_output_tokensinteger
pricingobject
Pricing information for a model.
object"model"
statusstringDefaults to available
sunset_datestring or null
replacement_modelstring or null
is_featuredbooleanDefaults to false
created_atdatetime
updated_atdatetime

Errors

422
Unprocessable Entity Error